Introducing Managed ClickStack: Observability for OpenTelemetry at scale Read more →
Introducing Managed ClickStack: Observability for OpenTelemetry at scale Read more →
Updates an existing alert
curl --request PUT \
--url https://api.hyperdx.io/api/v2/alerts/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"threshold": 500,
"interval": "1h",
"thresholdType": "above",
"source": "tile",
"dashboardId": "65f5e4a3b9e77c001a567890",
"tileId": "65f5e4a3b9e77c001a901234",
"channel": {
"type": "webhook",
"webhookId": "65f5e4a3b9e77c001a789012"
},
"name": "Updated Alert Name",
"message": "Updated threshold and interval"
}
'{
"data": {
"id": "65f5e4a3b9e77c001a123456",
"name": "High Error Rate",
"message": "Error rate exceeds threshold",
"threshold": 100,
"interval": "15m",
"thresholdType": "above",
"source": "tile",
"state": "inactive",
"channel": {
"type": "webhook",
"webhookId": "65f5e4a3b9e77c001a789012"
},
"team": "65f5e4a3b9e77c001a345678",
"tileId": "65f5e4a3b9e77c001a901234",
"dashboard": "65f5e4a3b9e77c001a567890",
"savedSearch": "<string>",
"groupBy": "<string>",
"silenced": true,
"createdAt": "2023-01-01T00:00:00.000Z",
"updatedAt": "2023-01-01T00:00:00.000Z"
}
}Documentation Index
Fetch the complete documentation index at: https://private-7c7dfe99-page-updates.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Alert ID
500
"1h"
above, below "above"
tile, search "tile"
"65f5e4a3b9e77c001a567890"
"65f5e4a3b9e77c001a901234"
Show child attributes
"Updated Alert Name"
"Updated message"
Successfully updated alert
Show child attributes
Was this page helpful?
curl --request PUT \
--url https://api.hyperdx.io/api/v2/alerts/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"threshold": 500,
"interval": "1h",
"thresholdType": "above",
"source": "tile",
"dashboardId": "65f5e4a3b9e77c001a567890",
"tileId": "65f5e4a3b9e77c001a901234",
"channel": {
"type": "webhook",
"webhookId": "65f5e4a3b9e77c001a789012"
},
"name": "Updated Alert Name",
"message": "Updated threshold and interval"
}
'{
"data": {
"id": "65f5e4a3b9e77c001a123456",
"name": "High Error Rate",
"message": "Error rate exceeds threshold",
"threshold": 100,
"interval": "15m",
"thresholdType": "above",
"source": "tile",
"state": "inactive",
"channel": {
"type": "webhook",
"webhookId": "65f5e4a3b9e77c001a789012"
},
"team": "65f5e4a3b9e77c001a345678",
"tileId": "65f5e4a3b9e77c001a901234",
"dashboard": "65f5e4a3b9e77c001a567890",
"savedSearch": "<string>",
"groupBy": "<string>",
"silenced": true,
"createdAt": "2023-01-01T00:00:00.000Z",
"updatedAt": "2023-01-01T00:00:00.000Z"
}
}